## 更新日志

:::warning
**1.12.0** 版本中，为保持组件一致 `Splitpanes` 分割面板组件中的 `el-pane` 将被 **替换** 为 `el-splitpane`。
:::

<details open="open">

<summary>
  <span>1.11.6</span><em> 💖 铭记历史，致敬英雄！ 💖 2024-12-25</em>
</summary>

#### 新特性
- Radio
  - 增加 `<el-radio-tag>` 组件，支持标签形式；
- Checkbox
  - `<el-checkbox-tag>` 组件，增加 `plain` 和 `round` 属性；

#### 修复
- TreeSelect
  - 修复单选模式时，点击已选择项后会取消选中问题；

#### 优化
- Button
  - 优化按钮焦点激活样式；

</details>

<details>

<summary>
  <span>1.11.5</span><em>2024-11-22</em>
</summary>

#### 新特性
- Upload
  - 增加 `size` 属性；
- Descriptions
  - 增加 `rowspan` 属性；
- Message
  - 增加 `plain` 属性；

#### 修复

- Form
  - 修复表单验证错误时下拉树组件和级联组件划过效果；
- Dialog
  - 修复 `resetPosition` 拼写错误；
- TreeSelect
  - 修复禁用后数据回显错误；
- Tree
  - 修复拖拽节点时，复选框勾选问题；
- Table
  - 修复树型表格父子禁用时勾选问题；

#### 优化

- Color
  - 优化颜色文档可快速点击复制色值；
- Form
  - 优化未设置 `prop` 将不执行 `resetField`；
- DateTimePicker
  - 增加 `clearable` 监听；
- 全局
  - 增加 **web-types.json** 文件，支持 **[JetBrains IDE](https://www.jetbrains.com/)** 代码提示；
  - 增加 **tags.json** 和 **attributes.json** 文件，支持 **[Vetur](https://marketplace.visualstudio.com/items?itemName=octref.vetur)** 插件提示；
  - 统一文档格式；

</details>

<details>

<summary>
  <span>1.11.4</span><em>🌈 码到成功，永无BUG 👨‍💻 2024-10-24</em>
</summary>

#### 新特性
- InputNumber
  - 增加 `prefix`、`suffix` 前后缀插槽；
- Rate
  - 增加 `setCurrentValue` 方法；
- TreeSelect
  - 增加 `show-all-levels` 属性；
  - 增加 `tag` 作用域插槽；

#### 修复

- DatePicker
  - 修复 `type="quarter"` 问题；
- Scrollbar
  - 修复滚动条在 **Win11** 下高度问题；

#### 优化

- Upload
  - 优化上传禁用样式；

</details>

<details>

<summary>
  <span>1.11.3</span><em>2024-09-26</em>
</summary>

#### 新特性
- Image
  - 增加 `infinite` 属性；
  - 增加 `zoom-rate` 属性；
  - 增加 `min-scale` 属性；
  - 增加 `max-scale` 属性；
  - 增加 `zoom-change` 事件；
  - 增加 `rotate-change` 事件；
  - 增加 `dragend` 事件；
  - 增加 `togglePreview` 方法；
- Dialog
  - 增加 `dragend` 事件；
  - 增加 `resetPostion` 方法；
- Tree
  - 增加 `show-line` 属性；

#### 修复

- Image
  - 修复内存泄漏问题；
- Loading
  - 修复遮罩层点击时触发当前元素的点击事件；
- Form
  - 修复 `label-width="auto"` 时设置 `label-position="left"` 不生效；
- Cascader
  - 修复多选情况懒加载回显不显示；
- Table
  - 修复设置 `height/max-height` 时 `slot="empty"` 高度自适应；

#### 优化

- Cascader
  - 优化 `checkStrictly` 时，点击触发节点懒加载；


</details>

<details>

<summary>
  <span>1.11.2</span><em>🎮 放马西行，直面天命 🎮 2024-08-26</em>
</summary>

#### 新特性
- Tree
  - 增加 `node-enter-keyup` 事件；
- DatePicker
  - 增加 `header` 插槽；


#### 修复

- Radio
  - 修复 **Chrome** 浏览器下 `clearable` 属性不生效；
- Tree
  - 修复 **Firefox** 浏览器下拖拽不生效；
- TableVirtual
  - 修复配置 `default-expand-all` 后计算高度报错；
- Table
  - 修复部分浏览器固定列不显示边框问题；

#### 优化

- Alert
  - 优化辅助文字介绍图标对齐方式；
  - `type` 类型增加 `primary`，并默认为 `primary`；
- Message
  - `type` 类型增加 `primary`，并默认为 `primary`；
- Notification
  - `type` 类型增加 `primary`，并默认为 `primary`；
- MessageBox
  - `type` 类型增加 `primary`；
- 全局
  - 调整文档说明中CDN地址；

</details>

<details>

<summary>
  <span>1.11.1</span><em>2024-07-25</em>
</summary>

#### 新特性
- Cascader
  - 增加 `tag` 作用域插槽；
- Rate
  - 增加 `size` 属性；
- Table
  - 增加 `scrollToLeft`、`scrollTo` 方法；

#### 修复

- Table
  - 修复配置全局`content`后，表格文本截断 `tooltip` 销毁报错；
- DatePicker
  - 修复区间类选择后再次选择时不重置下拉面板；

#### 优化

- ColorPicker
  - 优化图标根据背景色自动切换明暗；
- Switch
  - 调整默认背景色为主色；
- Pagination
  - 优化分页样式；
- Autocomplete
  - 优化键盘 `Esc` 收起下拉；
- TreeSelect
  - 优化键盘 `Esc` 收起下拉；
- DatePicker
  - 重构年选择器面板；
- 全局
  - 优化键盘切换高亮效果；
  - 优化新增已有图标；

</details>

<details>

<summary>
  <span>1.11.0</span><em>2024-06-26</em>
</summary>

:::warning
**1.11.0** 版本中 `DatePicker`、`TimeSelect`、`TimePicker` 的 `align` 属性将被 **弃用** 并 **删除**，请使用 `placement`。
:::

#### 新特性

- Scrollbar
  - 增加 `scroll-behavior` 属性；
  - 增加 `setScrollTo` 方法；
- Table
  - 增加 `scrollToRow` 和 `scrollToTop` 方法；
- Tag
  - 增加 `round` 属性；
- Select
  - 增加 `tag` 作用域插槽；
  - 增加 `placement` 属性；
- Cascader
  - 增加 `search-node` 作用域插槽；
  - 增加 `placement` 属性；
- Badge
  - 增加 `show-zero` 属性；
  - 增加 `background-color` 属性；
  - 增加 `offset` 属性；
  - 增加 `badge-style` 属性；
  - 增加 `badge-class` 属性；
- TreeSelect
  - 增加 `placement` 属性；
- ColorPicker
  - 增加 `focus` 事件和方法；
  - 增加 `blur` 事件和方法；
  - 增加 `show` 方法；
  - 增加 `hide` 方法；

#### 修复

- Cascader
  - 修复键盘选择滚动异常；
- DatePicker
  - 修复季度区间在 `value-format` 时回显不正常；
- ColorPicker
  - 修复手动删除色值后与选择色值不匹配问题；
- Form
  - 修复非验证表单项 `id` 为 `undefined`；

#### 优化

- DatePicker
  - 弃用并删除 `align` 属性，请使用 `placement` 代替；
- TimeSelect
  - 弃用并删除 `align` 属性，请使用 `placement` 代替；
- TimePicker
  - 弃用并删除 `align` 属性，请使用 `placement` 代替；
- Select
  - 弃用并删除 `auto-complete` 属性，请使用 `autocomplete` 代替；
- ColorPicker
  - 优化键盘事件；
- Table
  - 优化 `type="selection"` 宽度自适应；

</details>

<details>

<summary>
  <span>1.10.4</span><em>2024-05-30</em>
</summary>

#### 修复

- Select
  - 修复禁用后数据回显错误；
- TreeSelect
  - 修复禁用后控制台报错；
- Cascader
  - 修复禁用后数据回显错误；

</details>

<details>

<summary>
  <span>1.10.3</span><em>2024-05-27</em>
</summary>

#### 新特性

- Select
  - 增加 `header` 插槽；
- Input
  - 增加 `count` 作用域插槽；
- Transfer
  - 增加 `virtual` 属性，支持虚拟滚动；
- Radio
  - 增加 `clearable` 属性，支持再次点击清除选项；
- Switch
  - 增加 `id` 和 `tabindex` 原生属性；
  - 增加 `width` 属性，支持自定义宽度；
  - 增加 `loading` 属性；
  - 增加 `before-change` 状态改变钩子；
- TreeSelect
  - 增加 `header` 插槽；
  - 增加 `default` 作用域插槽，支持定制下拉树节点；
- Cascader
  - 增加 `header` 插槽；

#### 修复

- Radio
  - 修复禁用时手动删除DOM属性后数据可篡改；
- Select
  - 修复禁用时手动调出下拉菜单后数据可篡改；
- TreeSelect
  - 修复禁用时手动调出下拉菜单后数据可篡改；
- Table
  - 修复树形表格复选情况下 `reserve-selection` 不生效；
- Tooltip
  - 修复 `content` 类型为 `Number` 时控制台报错；
- Cascader
  - 修复禁用时手动调出下拉菜单后数据可篡改；

#### 优化

- Select
  - 优化 `overlay` 搜索功能；
- Form
  - 优化滚动；
- Switch
  - 优化开关文本截断；

</details>

<details>

<summary>
  <span>1.10.2</span><em>2024-04-26</em>
</summary>

#### 新特性

- DatePicker
  - 增加 `sidebar` 插槽，可与 `shortcuts` 共存；
  - 增加 `year`、`quarter`、`month`、`date` 作用域插槽，可自定义内容；
  - 增加 `placement` 属性，可自定义下拉框出现的位置；
- TimeSelect
  - 增加 `placement` 属性，可自定义下拉框出现的位置；
- TimePicker
  - 增加 `placement` 属性，可自定义下拉框出现的位置；
- ColorPicker
  - 增加 `placement` 属性，可自定义下拉框出现的位置；
- InputRange
  - 增加 `clearable` 属性，可清空值；
  - 增加 `prefix` 属性，可配置前缀值；
  - 增加 `prefix`、`suffix` 插槽，可配置前后缀内容；
  - 增加 `clear` 事件；
- EllipsisTitle
  - 增加文本截断指令；
- Form
  - 增加 `scroll-to-error` 属性，当校验失败时滚动到第一个错误表单项；
  - 增加 `scroll-into-view-options` 属性，可独立配置 `scrollIntoView` 属性；
  - 增加 `scrollToField` 方法，可自定义滚动到指定的字段；

#### 修复

- DatePicker
  - 修复选择月年时，下拉框位置自适应问题；
- ColorPicker
  - 修复禁用时手动删除DOM属性后数据可篡改；
- Autocomplete
  - 修复禁用时手动删除DOM属性后数据可篡改；
- Checkbox
  - 修复禁用时手动删除DOM属性后数据可篡改；
- InputRange
  - 修复禁用时手动删除DOM属性后数据可篡改；
- Input
  - 修复禁用时手动删除DOM属性后数据可篡改；
- Form
  - 修复使用模板表达式动态生成rules属性，无法动态更新表单的验证事件；

#### 优化

- DatePicker
  - 优化区间输入框样式；
- Cascader
  - 优化性能；

</details>

<details>

<summary>
  <span>1.10.1</span><em>2024-03-25</em>
</summary>

#### 新特性

- DatePicker
  - `type` 增加 `weekrange` 属性，支持周区间选择；
  - 增加 `show-week-number` 属性，支持显示周次；
  - 增加 `controllable` 属性，支持禁用键盘上下左右选择日期；
- Tag
  - 增加 `icon` 属性，支持图标；
- Checkbox
  - 增加 `el-checkbox-tag` 组件，支持标签形式展示；
- Slider
  - 增加 `placement` 属性；
- Cascader
  - 增加 `tag-type` 属性，支持定义标签类型；
  - 增加同级单选父子不关联功能；
- Select
  - 增加 `tag-type` 属性，支持定义标签类型；
- TreeSelect
  - 增加 `tag-type` 属性，支持定义标签类型；
- Dropdown
  - `trigger` 增加触发属性，支持右键触发；
  - 增加 `controllable` 属性，支持启用或者禁用键盘控制；
  - 增加 `header-extend`、`extend` 扩展插槽；
- Popover
  - `trigger` 增加触发属性，支持右键触发；


#### 修复

- DatePicker
  - 修复键盘控制台报错；
- Input
  - 修复火狐浏览器 `autosize` 属性不生效；
- TreeSelect
  - 修复虚拟滚动位置变化；

#### 优化

- I18n
  - 优化语言包，补充未翻译内容；
- Descriptions
  - 优化描述对齐方式；
- Select
  - 优化搜索功能交互；
- Cascader
  - 优化搜索功能交互；
  - 优化同级单选功能及样式；
- TreeSelect
  - 优化搜索功能交互；
- Pagination
  - 优化分页禁用样式；
- Progress
  - 优化线形进度条插槽展示；
- Transfer
  - 优化穿梭框大数据量勾选性能；

</details>

<details>

<summary>
  <span>1.10.0</span><em>2024-02-23</em>
</summary>

:::warning
本次更新，`Collapse` 组件删除了 `show-overflow-tooltip`、`effect` 属性，组件默认截断标题后使用 `title` 属性展示全部文本。
:::

#### 新特性

- Pagination
  - 增加 `border` 属性；

#### 修复

- Pagination
  - 修复配置 `small` 后小型分页样式错误；
- InputRange
  - 修复禁用状态显示问题；

#### 优化

- Steps
  - 优化简洁风格均分时截断提示；
- Collapse
  - 优化面板标题文本截断提示；
- 性能
  - 优化 `Form`、`Input`、`Menu`、`Select`、`Tabs` 组件事件监听；
- 全局
  - 优化全局样式；

</details>

<details>

<summary>
  <span>1.9.8</span><em>2024-01-24</em>
</summary>

#### 新特性

- Tree
  - 增加 `ellipsis` 属性，支持文本截断提示；
  - 增加 `tree-node-class` 回调方法，支持自定义节点类名；
- Form
  - 增加 `label-ellipsis` 属性，支持标签文本截断提示；
- Dropdown
  - 增加 `menu-max-width` 属性，支持文本截断提示；

#### 修复

- 全局
  - 修复 `CDN` 在 `head` 引入报错问题；
- Tree
  - 修复 `check-change` 半选不触发；
- Table
  - 修复替换 `el-` 前缀导致部分样式丢失；

#### 优化

- Autocomplete
  - 优化下拉文本截断提示；
- Cascader
  - 优化下拉文本截断提示；
  - 优化多选 `tag` 文本截断提示；
- Select
  - 优化下拉文本截断提示；
  - 下拉分组文字过长样式优化；
  - 优化多选 `tag` 文本截断提示；
- TreeSelect
  - 优化下拉文本截断提示；
  - 优化多选 `tag` 文本截断提示；
- Transfer
  - 优化文本截断提示；
  - 优化样式；
- Upload
  - 优化文件文本截断提示；

</details>

<details>

<summary>
  <span>1.9.7</span><em>🥟 冬至如诗，岁月如歌 🥟 2023-12-22</em>
</summary>

#### 新特性

- Image
  - 增加 `loading` 属性，支持原生懒加载；
- Autocomplete
  - 增加 `switchSuggestions` 方法，支持手动显示下拉框；
- Divider
  - 增加 `left`、`center`、`right` 插槽；

#### 修复

- Table
  - 修复粘性固定列样式错误；
- Input
  - 修复嵌套在表单中意外显示验证图标；
- Cascader
  - 修复动态改变options时候报错问题；
- 全局
  - 修复页面全屏后浮窗插入节点报错；

#### 优化

- Form
  - 优化行内表单样式；
- Result
  - 增加 **401** 图标；

</details>

<details>

<summary>
  <span>1.9.6</span><em>2023-11-24</em>
</summary>

#### 新特性

- DatePicker
  - `type` 增加 `quarters` 属性，可多选季度；
  - `type` 增加 `weeks` 属性，可多选周；
- Table
  - 增加 `tree-all-render` 属性，优化表格树渲染；
- Upload
  - 增加 `on-drag-invalid-accept` 属性；
- Rate
  - 增加 `clearable` 属性；

#### 修复

- InputNumber
  - 修复精度问题；
- Switch
  - 修复自定义图标不显示；
- Steps
  - 修复 `space` 属性不生效 ；
- Image
  - 修复大图预览拖拽移动距离与鼠标距离不对应 ；
- DatePicker
  - 修复 `type='datetime'` 时格式化错误；
  - 修复时间选择面板遮挡问题；
- Input
  - 修复限制长度后与清空按钮遮盖问题；

#### 优化

- Tabs
  - 优化页签插槽，统一前置后置命名；
- TreeSelect
  - 优化 `overlay` 搜索交互；
- Input
  - 优化长文本显示省略号；
  - 优化代码兼容逻辑；
- DatePicker
  - 优化代码兼容逻辑；
- MessageBox
  - 优化代码兼容逻辑；
- Transfer
  - 优化代码兼容逻辑；
- Cascader
  - 优化代码兼容逻辑；

</details>

<details>

<summary>
  <span>1.9.5</span><em>🌈 风调码顺，永无BUG 👨‍💻 2023-10-24</em>
</summary>

#### 新特性

- Progress
  - 增加 `indeterminate` 属性；
  - 增加 `duration` 属性；
  - 增加 `striped` 属性；
  - 增加 `striped-flow` 属性；
- Table
  - 增加 `footer-append` 插槽；
  - 增加 `display-only-footer-append` 属性；
- Tree
  - 增加 `height` 高度属性，设置高度后支持虚拟滚动；
  - 增加 `extra-line` 属性，配合虚拟滚动；
- Select
  - 增加下拉列表虚拟滚动，配合 `el-option-virtual` 组件即可支持虚拟滚动；
- TreeSelect
  - 增加 `virtual` 属性，设置后支持虚拟滚动；

#### 修复

- 全局
  - 修复组件依赖 `Vue` 版本，锁定为 **2.6.12**，解决偶现插槽不显示问题；
- Tree
  - 修复拖拽节点报错；
- Table
  - 修复过滤数据后无数据导致无法再次过滤；
- DatePicker
  - 修复 `type='datetime'` 时内存泄露；


</details>

<details>

<summary>
  <span>1.9.4</span><em>2023-09-23</em>
</summary>

#### 新特性

- Scrollbar
  - 增加 `min-size` 属性；
  - 增加 `setScrollTop` 和 `setScrollLeft` 方法；
- TreeSelect
  - 增加 `node-click` 事件；
- Table
  - 增加 `transition` 属性；
  - 增加 `fixed-pro` 属性；
- Cascader
  - 增加 `popper-append-to-body` 属性；
- TableVirtual
  - 支持大数据表格虚拟滚动；

#### 修复

- 全局
  - 修复全局配置兼容性问题；
  - 修复局部容器设置全屏后，导致组件的浮层配置 `append-to-body` 不显示；
  - 修复全局配置 `visibleArrow` 部分组件不生效问题；
- TimeSelect
  - 修复禁用划过样式；
- Tabs
  - 修复简洁类型页签只有一个时边线不正确；
- Image
  - 修复无法给图片增加特有属性；
- Cascader
  - 修复搜索IE兼容性问题；
- Select
  - 修复搜索IE兼容性问题；
- TreeSelect
  - 修复 `popper-append-to-body` 设置为 `false` 不生效；

#### 优化

- 文档
  - 优化文档中的链接；
- Result
  - 优化增加通用图标；


</details>

<details>

<summary>
  <span>1.9.3</span><em>2023-08-24</em>
</summary>

#### 新特性

- Select
  - 增加 `extend` 插槽；
  - 增加 `overlay` 属性；
- Cascader
  - 增加 `extend` 插槽；
  - 增加 `overlay` 属性；
- TreeSelect
  - 增加 `extend` 插槽；
  - 增加 `overlay` 属性；
- InputRange
  - 增加 `InputRange` 组件；

#### 修复

- Select
  - 复合型输入框搜索时错位；
  - 下拉文本过长导致下拉框显示不正常；
- TreeSelect
  - 下拉文本过长导致下拉框显示不正常；
- Table
  - 修复不同类型风格表格相互嵌套显示不正确；
- DateTimePicker
  - 修复设置 `selectableRange` 属性后 此刻按钮再次点击失效；
- ColorPicker
  - 修复传入非法色值后无法取色；
- Message
  - 修复长文本不折行问题；
- Notification
  - 修复长文本不折行问题；
- MessageBox
  - 修复按钮类型重复；

#### 优化

- Select
  - 优化搜索框结构；
- Cascader
  - 优化搜索框结构；
- Loading
  - 优化支持更改加载器和背景；
- Result
  - 优化增加通用图标；
- Empty
  - 优化替换图标；


</details>

<details>

<summary>
  <span>1.9.2</span><em>2023-07-27</em>
</summary>

#### 新特性

- 全局配置
  - 增加 `content` 全局配置，解决微前端弹窗类容器挂载；
- TreeSelect
  - 增加 `popper-append-to-body` ；
- Scrollbar
  - 增加 `scrollToPosition` 方法 ；
- Table
  - 增加 `check-strictly` 属性；
  - 增加 `hover-column` 属性，同时将 `no-hover` 调整为 `hover-row` 属性；

#### 修复

- Steps
  - 修复竖式步骤条带图标样式；
- Input
  - 修复IE文本域高度计算错误；
- Dropdown
  - 修复下拉滚动条初始化位置；

#### 优化

- Table
  - 优化表格划过高亮性能；
- Tree
  - 优化拖拽性能；


</details>

<details>

<summary>
  <span>1.9.1</span><em>2023-06-27</em>
</summary>

#### 修复

- Table
  - 修复表格销毁后 `tooltip` 没有销毁；
  - 修复表格筛选报错；
- Tooltip
  - 修复偶现页面抖动；

#### 优化

- Table
  - 优化表格合并单元格后划过效果；
- Input
  - 优化文本域计算高度性能；
- Style
  - 删除样式中私有前缀；


</details>

<details>

<summary>
  <span>1.9.0</span><em>2023-05-25</em>
</summary>

#### 新特性

- Space
  - 增加间距组件；
- Button
  - 增加 `square` 属性；
- Link
  - 增加 `always` 属性；
- Tabs
  - 增加 `more` 插槽；
- Image
  - 增加 `initial-index` 属性；
  - 增加 `close` 事件；
  - 增加 `change` 事件；
- Table
  - 增加 `summary-top` 属性；
  - 增加 `header-append` 插槽；
- Backtop
  - 增加 `effect` 属性；
  - 增加 `square` 属性；

#### 修复

- Image
  - 修复键盘左右按键无法快速切换图片；

#### 优化

- Tree
  - 增加 `level` 类名，方便后续定制；
- Avatar
  - 调整 `size` 属性统一；
- Doc
  - 调整组件分类目录；
- 兼容性
  - 调整 `Select`、`TreeSelect`、`Cascader` 组件缩放兼容性；
- Font
  - 新增常用图标；
- Style
  - 调整 `Radio` 按钮样式；
  - 调整 `Checkbox` 选中及按钮样式；
  - 调整 `Input` 复合型输入框样式；
  - 调整 `Alert` 样式；
  - 调整 `Scrollbar` 宽度；
  - 调整 `TimeSelect` 选中样式；
  - 调整 `Transfer` 头部样式；
  - 调整 `Drawer` 标题样式；
  - 调整 `Upload` 上传列表样式；
  - 调整组件投影样式；
  - 调整组件圆角样式；
  - 调整组件标题样式；
  - 调整下拉类组件内边距；


</details>

<details>

<summary>
  <span>1.8.6</span><em>2023-04-23</em>
</summary>

#### 新特性

- 下拉类组件（`el-autocomplete`/`el-select`/`el-tree-select`/`el-cascader`/`el-time-select`/`el-time-picker`/`el-date-picker`/`el-color-picker`/`el-dropdown`）
  - 增加 `visible-arrow` 属性；
- Table
  - 增加滚动条 `always` 属性；
- Drawer
  - 增加 `footer` 插槽；
- Tabs
  - 页签头部增加 `operate` 插槽；

#### 修复

- Table
  - 修复设置 `max-height` 后高度判断错误；
- ColorPicker
  - 修复颜色格式化参数无效；

#### 优化

- Dropdown
  - 优化大列表，增加滚动条；
- Table
  - 优化空状态时固定滚动效果；
- Select
  - 折叠显示列表增加滚动；
  - 优化文字截断显示效果；
- Cascader
  - 优化 `tag` 文本截断；
  - 折叠显示列表增加滚动；
  - 优化文字截断显示效果；
- TreeSelect
  - 折叠显示列表增加滚动；
  - 优化文字截断显示效果；


</details>

<details>

<summary>
  <span>1.8.5</span><em>2023-03-23</em>
</summary>

#### 新特性

- Table
  - 增加 `setDisabledHeaderSelection` 方法；

#### 修复

- TreeSelect
  - 修复数据勾选监听；
  - 修复自定义props导致的一些bug；
  - 修复多选时无划过效果；
- DatePicker
  - 修复 `Picker Options` 配置导致一些问题；
- Form
  - 修复 `getLabelWidth` 在某些情况下获取宽度失败报错；
- TimePicker
  - 修复区间内禁用秒数；
- DateTimePicker
  - 修复日期报错，增加默认日期；
- Collapse
  - 修复截断属性 `show-overflow-tooltip` 不生效；
- Table
  - 修复多级表头在固定列时单元格渲染为空；
- Dropdown
  - 修复 `hover` 模式闪现问题；
- Select
  - 修复IE光标问题；
- Cascader
  - 修复IE光标问题；

#### 优化

- Select
  - 优化 `clear` 事件，增加回调参数；
- Cascader
  - 优化 `clear` 事件，增加回调参数；
- TreeSelect
  - 优化 `clear` 事件，增加回调参数；
- TimeSelect
  - 优化 `clear` 事件，增加回调参数；
- TimePicker
  - 优化 `clear` 事件，增加回调参数；
- DatePicker
  - 优化 `clear` 事件，增加回调参数；
- DateTimePicker
  - 优化 `clear` 事件，增加回调参数；
- ColorPicker
  - 优化 `clear` 事件，增加回调参数；
- Input
  - 优化 `clear` 事件，增加回调参数；
- Autocomplete
  - 优化 `clear` 事件，增加回调参数；

</details>

<details>

<summary>
  <span>1.8.4</span><em>2023-02-22</em>
</summary>

#### 新特性

- Table
  - 增加 `highlight-selection-row` 属性；

#### 修复

- Select
  - 修复筛选异常报错；
- TreeSelect
  - 修复筛选大数据时导致崩溃；
- Cascader
  - 修复删除 `tag` 后报错；
- Utils
  - 修复 `clickoutside.js` 报错；
- Dialog
  - 修复设置 `modal` 为 `false` 后无法通过 `ESC` 关闭弹窗；

#### 优化

- Drawer
  - 优化IE关闭按钮样式；

</details>

<details>

<summary>
  <span>1.8.3</span><em>2023-01-29</em>
</summary>

#### 新特性

- Input
  - 增加 `formatter`、`parser` 属性；

#### 修复

- Table
  - 修复表格宽度抖动；
- InputNumber
  - 修复点击进步问题；
- Popover
  - 修复设置默认显示后，没有挂载到 `body` 上；
- Loading
  - 修复指令方式引起的内存泄漏；
- MessageBox
  - 修复内存泄漏；
- Table
  - 修复内存泄漏；
- Tree
  - 修复内存泄漏；
- Upload
  - 修复拖拽上传时焦点激活两次；

</details>

<details>

<summary>
  <span>1.8.2</span><em>🥟 冬至，幸福已至 🥟 2022-12-22</em>
</summary>

#### 新特性

- Select
  - 增加 `extend` 插槽；
- Progress
  - 增加 `text-inside-color`、`text-outside-color` 属性，原有 `text-color` 属性废除；
- Descriptions
  - 增加 `label-align` 属性；
- Cascader
  - `Props` 增加 `mark` 属性；

#### 修复

- Form
  - 修复验证状态下复合型输入框样式；
- Cascader
  - 修复多选搜索不显示 `placeholder`；
- Dropdown
  - 修复设置 `#default` 属性，不显示下拉框；
- Input
  - 修复 `type` 为 `number`、`email`、`tel` 属性时，设置 `show-word-limit` 不显示字数统计；
- Steps
  - 修复配置 `status` 后样式错误；

#### 优化

- Tabs
  - 优化自动化测试标签；

</details>

<details>

<summary>
  <span>1.8.1</span><em>2022-11-24</em>
</summary>

#### 新特性

- Descriptions
  - 增加 `label-width` 属性；
- Progress
  - 增加 `text-color` 属性；

#### 修复

- Select
  - 修复远程搜索不显示图标；
- Button
  - 修复丢失响应式的问题；

#### 优化

- Collapse
  - 优化面板自动化测试；
- Radio
  - 优化文案；
- Utils
  - 更新 `date-util.js`；

</details>

<details>

<summary>
  <span>1.8.0</span><em>2022-10-19</em>
</summary>

:::warning
本次更新，`Cascader` 组件修改 `empty` 插槽为 `search-empty` 插槽，保持与 `Select` 、`TreeSelect` 统一。
:::

#### 新特性

- DatePicker
  - `type` 增加 `years`、`months`属性；
- Cascader
  - 增加 `search-empty` 插槽；
- Dialog
  - 增加 `resize` 事件；

#### 修复

- TreeSelect
  - 修复搜索过滤导致 `placeholder` 穿透；
- Form
  - 修复 `show-message` 设置为 `false` 导致错位；

#### 优化

- NavMenu
  - 优化主题配色；

</details>

<details>

<summary>
  <span>1.7.3</span><em>🎑 但愿人长久，千里共婵娟！ 2022-09-09</em>
</summary>

#### 新特性

- TreeSelect
  - 增加 `visible-change` 事件；
  - 增加 `popper-max-width` 属性；
- TimeSelect
  - 增加 `visible-change` 事件；
- TimePicker
  - 增加 `visible-change` 事件；
- DatePicker
  - 增加 `visible-change` 事件；
- DateTimePicker
  - 增加 `visible-change` 事件；
- ColorPicker
  - 增加 `readonly` 属性；
  - 增加 `visible-change` 事件；
- Autocomplete
  - 增加 `visible-change` 事件；
- Collapse
  - 增加 `default-expand-all` 属性；
  - 增加 `show-overflow-tooltip` 属性；
  - 增加 `effect` 属性；
- Select
  - 增加 `create-max-length` 属性；
  - 增加 `popper-max-width` 属性；
- Popover
  - 增加 `update` 方法，用于重新计算位置；
- Cascader
  - 增加 `popper-max-width` 属性；
  - 增加 `mutexLevel` 互斥属性；


#### 修复

- Select
  - 修复可以创建空条目；
- Collapse
  - 修复 `title` 过长导致错位；
- Slider
  - 修复 `step` 不是 `max` 的约数，`value` 异常超出；
- Upload
  - 修复上传无法获取 `file` 字段；
- NavMenu
  - 修复深色主题背景；

#### 优化

- Select
  - 优化可快速编辑折叠选项；
  - 优化下拉框和折叠框属性类型；
  - 优化下拉框选中样式；
- TreeSelect
  - 优化可快速编辑折叠选项；
  - 优化下拉框和折叠框属性类型；
  - 优化下拉框选中样式；
- Cascader
  - 优化可快速编辑折叠选项；
  - 优化下拉框和折叠框属性类型；
  - 优化下拉框选中样式；
- Collapse
  - 优化自定义头部插槽自适应高度；

</details>

<details>

<summary>
  <span>1.7.2</span><em>2022-08-11</em>
</summary>

#### 新特性

- Cascader
  - 增加 `clear` 事件；
- TimeSelect
  - 增加 `clear` 事件；
- TimePicker
  - 增加 `clear` 事件；
- DatePicker
  - 增加 `clear` 事件；
- DateTimePicker
  - 增加 `clear` 事件；
  - 增加 `click-now` 事件；
- ColorPicker
  - 增加 `clearable` 属性；
  - 增加 `clear` 事件；
- TreeSelect
  - 增加 `clear` 事件；

#### 修复

- MessageBox
  - 修复弹出后焦点无法切换；
- Tree
  - 修复树形组件无法监听新增节点；
- DatePicker
  - 修复日期组件类型为 `type="week"` 并且设置 `value-format="timestamp"` 时获取不到正确值；
  - 修复日期格式化错误；
- DateTimePicker
  - 修复日期组件设置 `clearable` 属性后，日期面板还有清空按钮；
  - 修复如果当前时间是 `disabled`，点击此刻还可以选中当前日期；
- Alert
  - 修复无法关闭；
- Select
  - 修复切换语言后 `placeholder` 显示错误；
- Pagination
  - 修复下拉在某些场景下错位不显示；
- Message
  - 修复一次性弹出多个消息提示导致挤压错位；
- Loading
  - 修复定位方式为 `sticky` 的 `DOM` 使用 `loading` 时，`sticky` 失效；

#### 优化

- DatePicker
  - 调整年、季度、月选中样式；
- Dropdown
  - 优化Web可访问性；


</details>

<details>

<summary>
  <span>1.7.1</span><em>2022-07-19</em>
</summary>

:::warning
本次更新，`Rate` 组件删除了 `keydown-disabled` 属性，请使用 `controllable` 代替。
:::

#### 新特性

- Scroll
  - 增加 `always` 属性；
- Radio
  - `Radio-group` 增加 `controllable` 属性；
- MessageBox
  - 增加 `draggable` 属性；

#### 修复

- Skeleton
  - 修复设置 `row` 为2时，效果为一行；
- Splitpanes
  - 修复 **IE10** 兼容性问题；
- Collapse
  - 修复 **IE10** 样式问题；
- Image
  - 修复 **IE10** 预览图片报错；
- InfiniteScroll
  - 引入 `mutationobserver-shim` 修复 **IE10** 不兼容 `MutationObserver` 属性；
- Progress
  - 修复表格中进度文字折行；
- Drawer
  - 修复关闭按钮在 **IE10** 下错位；
- Tabs
  - 修复线性页签在只有一个页签情况下，边线宽度计算错误；
- Table
  - 修复固定列无法拖拽bug；
- Select
  - 修复下上键盘选择悬停索引不正确；
  - 修复下拉选项默认自适应宽度；
- DatePicker
  - 修复输入框可快速输入日期；
- Input
  - 修复文本域自适应高度；
- Form
  - 修复设置 `label-width` 为 `auto` 时，在 **IE** 下错位；

#### 优化

- Rate
  - 为保持组件一致性使用 `controllable` 代替 `keydown-disabled` 属性；
- MessageBox
  - 优化居中布局样式；
  - 优化按钮大小及间距；
- Dialog
  - 优化圆角样式；


</details>

<details>

<summary>
  <span>1.6.3</span><em>2022-06-16</em>
</summary>

:::warning
本次更新，`Input` 组件删除了 `auto-complete` 属性，请使用 `autocomplete` 代替。
:::

#### 新特性

- Tree
  - 增加 `filter-check-strictly` 属性；

#### 修复

- Table
  - 修复表头筛选报错；
  - 修复动态列循环bug；
- Form
  - 修复动态验证规则不清除 `error`；
- Input
  - 修复使用 `prepend` 和 `append` 导致输入框宽度增加 2px 问题；
- ColorPicker
  - 修复清除选中预定义颜色后，无法再次选中预定义颜色；
- NavMenu
  - 修复 `mode` 切换后导航错位；
- Select
  - 修复多选图标与文字重叠；
- Tabs
  - 修复页签溢出滚动后最后一个页签显示不完整；
  - 修复页签位置为左右时，新增按钮错位；
  - 修复页签左右滚动时禁用状态；

#### 优化

- Input
  - 删除 `auto-complete` 属性；
  - 优化文本域文本计数及清空按钮；
- NavMenu
  - 优化主题色；
  - 优化收缩动画；
- Tooltip
  - 优化获取第一个元素方法；
- Tabs
  - 优化 `v-model` 和 `name` 支持 `number` 类型；
- 其他
  - `async-validator` 升级到 **4.0.7**；
  - `date.js` 中替换 `String.prototype.substr()` 为 `String.prototype.slice()`；

</details>

<details>

<summary>
  <span>1.5.5</span><em>2022-05-16</em>
</summary>

#### 新特性

- Switch
  - 增加 `size` 属性；

#### 修复

- Dialog
  - 修复弹窗高度过高导致拖拽头部溢出浏览器可视区；
- Checkbox
  - 修复 `min` 属性设置错误导致无法勾选；
- TreeSelect
  - 修复下拉选择中 `disabled` 设置为 `true` 后还可以通过 `tag` 删除；
- Select
  - 修复下拉选择中 `disabled` 设置为 `true` 后还可以通过 `tag` 删除；
- Cascader
  - 修复级联选择中 `disabled` 设置为 `true` 后还可以通过 `tag` 删除；
  - 修复意外报错；
- Table
  - 修复表格树复选不关联；

</details>

<details>

<summary>
  <span>1.5.4</span><em>2022-04-19</em>
</summary>

#### 修复

- DatePicker
  - 修复 `transformOrigin` 属性不生效；
- Cascader
  - 修复 `transformOrigin` 属性不生效；
- TreeSelect
  - 修复 `transformOrigin` 属性不生效；
- Select
  - 修复开启 `filterable` 后，输入框点击失焦问题；
- Upload
  - 修复使用 `http-request` 后进度条失效；

</details>

<details>

<summary>
  <span>1.5.3</span><em>2022-03-15</em>
</summary>

#### 新特性

- NavMenu
  - 增加 `theme` 属性，内置 6 种主题；

#### 修复

- Tree
  - 修复懒加载勾选bug；

#### 优化

- Table
  - 优化表头划过事件；

</details>

<details>

<summary>
  <span>1.5.2</span><em>2022-02-10</em>
</summary>

#### 新特性

- Button
  - 增加 `dashed` 属性；

#### 修复

- Input
  - 修复文本域计算高度；
- Checkbox
  - 修复复选框组未定义bug；
- Select
  - 第一次输入值与第二次输入值完全时一样无法触发重新筛选；
- DatePicker
  - 修复时间判断；

#### 优化

- Color
  - 优化整体UI配色；
- Breadcrumb
  - 优化 `title` 与插槽优先级；

</details>

<details>

<summary>
  <span>1.5.0</span><em>2022-01-05</em>
</summary>

#### 新特性

- MessageBox
  - 增加 `closeOnPopstate` 属性；
- Size
  - `el-autocomplete`、`el-tree`、`el-tabs`、`el-cascader-panel`、`el-transfer`、`el-link`、`el-breadcrumb` 增加 `size` 属性；
- Select
  - `option` 中添加 `closable` 属性；

#### 修复

- Tabs
  - 修复选项卡风格和卡片风格样式；
- Tree
  - 修复高亮选中样式；
- Select
  - 修复多选模式 `tag` 自适应宽度换行；
- TreeSelect
  - 修复多选模式 `tag` 自适应宽度换行；
  - 修复使用 `check-strictly` 产生的警告；
- Cascader
  - 修复清空后仍然有高亮状态；
- Image
  - 修复 `mouseup` 事件重复注册；
- Slider
  - 修复拖拽后 `tooltips` 不消失；

#### 优化

- Size
  - `el-radio`、`el-checkbox`、`el-select`、`el-time-select`、`el-tree-select`、`el-cascader`、`el-form`、`el-table`、`el-color-picker` 优化 `size` 属性；
- Slider
  - 替换 `input-size` 为 `size`；

</details>

<details>

<summary>
  <span>1.4.6</span><em>2021-12-03</em>
</summary>

#### 新特性

- Tree
  - 增加 `empty` 插槽；
- TreeSelect
  - 增加 `empty` 插槽；
  - 增加 `emptyText` 空数据文字属性；

#### 修复

- Descriptions
  - 修复 `slot` 插槽不生效bug；
- Autocomplete
  - 修复清空输入内容不出现提示浮窗；
- Table
  - 修复固定列无法虚拟滚动；
- TreeSelect
  - 修复自定义搜索bug；
- Cascader
  - 修复级联 `v-model` 报错；

#### 优化

- Tree
  - 优化空数据提示样式
- Input
  - 优化开启 `autosize` 属性后 `resize` 强制为 `none`；
- Cascader
  - 优化插槽 `DOM` 结构；
- Button
  - 优化按钮禁用和加载状态后的点击；
- TextEllipsis
  - 优化样式；
- Icon
  - 新增组件图标；

</details>

<details>

<summary>
  <span>1.4.5</span><em>2021-11-05</em>
</summary>

#### 修复

- TreeSelect
  - 修复 `props` 映射关系；
- Message
  - 修复 `offset` 设置为 0 时不生效；
- Table
  - 修复有横向滚动时拖拽问题；
- Progress
  - 修复进度条宽度导致文字换行；
- Slider
  - 修复标记文本折行；
- Form
  - 修复表单 `label` 报错；

</details>

<details>

<summary>
  <span>1.4.3</span><em>2021-10-15</em>
</summary>

#### 新特性

- Form
  - 增加 `symbol` 显示隐藏冒号属性；
- Dialog
  - 增加 `penetrate` 遮罩层点击穿透属性；

#### 修复

- Select
  - 修复搜索时单击图标触发下拉列表；
  - 修复中文输入法与下拉 `keydown` 冲突；
- Table
  - 修复卡片风格与边框风格冲突；
  - 优化表格滚动条风格；
- Form
  - 修复表单验证方法报错后的错误信息；
- Transition
  - 修复过渡动画导致下拉双击事件；
- Button
  - 修复表单禁用高于按钮禁用优先级；

#### 优化

- Scrollbar
  - 优化滚动回调参数；

</details>

<details>

<summary>
  <span>1.4.0</span><em>2021-09-09</em>
</summary>

:::warning
本次更新，组件根据新UI设计规范做了较大调整，更新时请查看**优化**调整。
:::

#### 新特性

- Dialog
  - 增加 `draggable`、`height`、`min-width`、`max-width`、`min-height`、`max-height` 属性；
- Collapse
  - 增加 `icon-text`、`open-text`、`close-text`、`icon-trigger`、`card` 属性；
- Message
  - 增加 `min-width`、`max-width` 属性；
- Dropdown
  - 增加 `disabled` 属性；

#### 修复

- Cascader
  - 修复级联缩放窗口抖动；
- Input
  - 修复文本域计算高度问题；
- Radio
  - 修复浏览器返回时的选中状态；
- Table
  - 修复与 `Descriptions` 混合使用时样式冲突；
  - 修复卡片风格表格 `size` 属性；
  - 修复表头插槽不更新；
- Drawer
  - 修复初始化 `appendToBody` 属性不生效；

#### 优化

- Form
  - 报错提示统一放置在表单下部；
  - label冒号统一为英文冒号；
- Dialog
  - 优化弹窗拖拽边界问题；
  - 修改缩放弹窗为 `flex` 布局；
- Cascader
  - 优化级联性能；
- Result
  - 增加交互图标；
- Style
  - 优化 `Radio`、`Checkbox` 间距和禁用样式；
  - 优化 `Select`、`TreeSelect`、`Cascader` 多选 `tag` 划过样式；
  - 替换 `Upload` 图标；
  - 替换 `Empty` 图标；
  - 优化 `Alert`、`Message` 文字颜色；
  - 优化 `Dialog`、`MessageBox`、`Tabs` 标题头加粗；
  - 修改 `PageHeader` 左右布局；
  - 优化 `Steps` 激活状态样式；
  - 优化 `Table` 卡片风格样式；
  - 优化 `Descriptions` 边框风格样式；
  - 优化 `Tooltip` 浅色风格样式；
- Doc
  - 增加表单验证重置文档；

</details>

<details>

<summary>
  <span>1.3.0</span><em>2021-08-05</em>
</summary>

:::warning
组件现已替换 `node-sass` 为 `sass`，不建议使用 `node-sass`。
:::

#### 新特性

- Result
  - 增加结果组件；
- Select
  - 增加前后插槽；

#### 修复

- Input
  - 修复表格内渲染输入框高度计算错误；
- DatePicker
  - 修复日期多选默认当天无法高亮；
  - 日期选择器周开始时间为周五时跨年显示问题；
- Tabs
  - 选项卡无限循环更新页签；
- Select
  - 多选时窗口缩放抖动；
  - 修复 `filterable`；
  - 修复 `resetInputHeight` 报错；
- Table
  - 修复点击表头即可拖拽列宽；
- Tree
  - 修复 `insertChild`；
- Cascader
  - 修复 `emitPath`；

#### 优化

- Style
  - 替换 `node-sass` 为 `dart-sass`；

</details>

<details>

<summary>
  <span>1.2.7</span><em>悼念同胞，永怀先烈，吾辈自强！💖 2021-07-07</em>
</summary>

#### 新特性

- Descriptions
  - 增加描述列表组件；
- Progress
  - `SVG` 元素添加宽高属性；
- Tooltip
  - 添加 `close-delay` 属性；
- Calendar
  - 添加 `header` 插槽；
- Dropdown
  - 针对分割按钮添加 `disabled` 和 `loading` 属性；
- Slider
  - 添加过渡动画配置；
- Dialog
  - 添加 `wrapper-class` 属性；
- Rate
  - 添加 `keydown-disabled` 属性；
- Timeline
  - 添加 `timestamp` 插槽；

#### 修复

- Select
  - 修复 `placeholder` 切换语言转换；
  - 修复异步获取选项和下拉列表无法修改标签；
- ButtonGroup
  - 修复按钮组 `el-dropdown` 和 `el-popover`中按钮样式；
- Carousel
  - 修复切换时间间隔错误；
- Popover
  - 修复内存泄漏；
  - 修复关闭状态下不必要的 `update`；
- Upload
  - 修复自定义上传文件时代码异常；
- Message
  - 修复 `message` 类型判断；
- Alert
  - 修复关闭后无法再次打开；
- Form
  - 修复 `model` 中的属性没有初始化属性时，重置表单会导致控件不刷新；
- Table
  - 修复拖拽列后，计算高度时由于宽度引起固定列高度错误；
  - 修复固定列底边线样式；
- Utils
  - 修复使用2位数日期截断年份；
  - 修复DOM报错；
  - 修复偶现双击事件；

#### 优化

- Tree
  - 优化在创建节点之前可以更改数据；
- Empty
  - 优化语言包；
- Input
  - 优化计算高度性能；

</details>

<details>

<summary>
  <span>1.2.5</span><em>2021-06-11</em>
</summary>

#### 新特性

- Skeleton
  - 增加骨架屏组件；

#### 修复

- DatePicker
  - 修复 `cellClassName` 仅在 `type = 'date'` 生效；
  - 修复日期区间时间选择bug；
- Table
  - 修复懒加载数据；
  - 修复IE下卡片样式；
- Row
  - 修复顶部对齐；
- DOM
  - 修复IE浏览器下 `addClass` 报错；
  - 修复 `isScroll` 判断；
- Calendar
  - 修复日历面板周起始日；
- Select
  - 修复下拉值为布尔类型；
- Drawer
  - 添加内容溢出滚动样式；

#### 优化

- Image
  - 优化在 `iframe` 中使用图片预览时事件不能注销；

</details>

<details>

<summary>
  <span>1.2.3</span><em>🎉 儿童节快乐 🥳 2021-05-30</em>
</summary>

#### 新特性

- Tabs
  - 增加方向键切换标签开关；

#### 修复

- MessageBox
  - 修复关闭按钮居中；
- Carousel
  - 修复缩放错误；
- Tabs
  - 修复控制台报错 `scrollToActiveTab of undefined`；
  - 修复激活页签样式；
- Popover
  - 修复禁用时显示浮窗；
  - 修复在停用时关闭浮窗；
- Drawer
  - 修复鼠标拖动到遮罩层时抽屉关闭；
- Dialog
  - 修复IE下弹窗无法遮盖焦点；

</details>

<details>
  <summary>
    <span>1.2.1</span><em>2021-04-20</em>
  </summary>

#### 新特性

- Empty
  - 移植 `element-plus` 空状态组件；
- Collapse
  - 新增点击图标展开面板 `trigger`；
- DatePicker
  - 新增季度区间选择器 `quarterrange`；

#### 修复

- Tree
  - 修复 `disabled` 高亮状态；
- Calendar
  - 修复多语言切换bug；
- Input
  - 修复切换密码框光标bug；
- Tooltip
  - 修复 `max-width` 属性类型判断bug；

</details>

<details>
  <summary>
    <span>1.2.0</span><em>2021-03-19</em>
  </summary>

#### 特别注意

- `Calendar-pro` 在此版本移除，拆分为 [vue-lunar-calendar-pro](https://www.npmjs.com/package/vue-lunar-calendar-pro) 组件进行维护；

#### 修复

- Table
  - 修复卡片表格树样式；
- Popover
  - 修复 `Popover` 宽度；
- Cascader
  - 修复 `Cascader` 懒加载；
  - 修复 `Cascader` 当前路径；
- Radio
  - 修复使用 `RadioGroup` 作为动态组件报错；
- ColorPicker
  - 修复选择8位十六进制颜色；
- Image
  - 修复IE中图像匹配错误比率；

</details>

<details>
  <summary>
    <span>1.1.94</span><em>2021-02-23</em>
  </summary>

#### 特别注意

- `Calendar` 将会在下个版本移除，独立成单独的组件进行维护；

#### 优化

- Table
  - 使用内置滚动条 `ElScrollbar`；
  - 优化 `tooltip` 增加类名，方便自定义样式；

#### 新特性

- Table
  - 新增监听表格滚动方法 `table-scroll`；

#### 修复

- Cascader
  - 修复级联在IE下不会自动截断bug；
- Input
  - 修复复合型输入框尺寸问题；
  - 修复复合型输入框在IE下对齐问题；
  - 修复文本域字数限制样式；
- Drawer
  - 修复通过修改 `visible` 不触发 `destroyOnClose` 判断；
- Form
  - 修复 `form-item` 中 `label-wrap` 的报错问题；

</details>

<details>
  <summary>
    <span>1.1.89</span><em>2021-01-15</em>
  </summary>

#### 修复

- Cascader
  - 修复级联多选bug；

</details>

<details>
  <summary>
    <span>1.1.88</span><em>🎉 新年快乐 🥳 2020-12-31</em>
  </summary>

#### 新特性

- Dialog
  - 添加 `draggable` 属性，允许用户拖动对话框；
- NavMenu
  - 添加 `tooltip-effect` 属性；

#### 修复

- Autocomplete
  - 修复 `change event` 错误；
  - 修复验证失败时无法消失验证；
- Image
  - 更新错误状态；
- InputNumber
  - 正确计算 `inputNumberDisabled`；
- Popover
  - 兼容 Vue 2.6 新 ` v-slot ` 语法；
- Cascader
  - 修复多选状态下搜索词被清空；
  - 修复 `getCheckedNodes` 返回的勾选节点顺序和 `value` 传入值的顺序不一致的问题；
- Tree
  - 修复 `showCheckbox` 状态下，组件拖动后 `check` 状态显示不正确；
- Collapse
  - 修复 `enter` 钩子计算高度问题；
- Table
  - 修复设置表格高度为 `height='auto'` 时高度自动增加；
  - 修复当列属性为嵌套对象属性时，表格合计不生效；
- Input
  - 使用 `show-password`，点击显示密码，光标位置自动移到开头；
- Other
  - 修复函数类型检查问题；

#### 优化
- Transfer
  - 替换默认滚动条为 `el-scrollbar` ；
  - 优化穿梭框样式 ；
- Scrollbar
  - 添加滚动事件 `doScroll` ；
- Table
  - 优化 `show-overflow-tooltip` 导致整个 Table 的重新渲染；

</details>

<details>
  <summary>
    <span>1.1.83</span><em>2020-11-27</em>
  </summary>

#### 新特性

- Tag
  - 新增文本色和边框色；
- Carousel
  - 新增 `lazy` 懒加载；
- Collapse
  - 新增 `lazy` 懒加载；

#### 修复

- Form
  - 修复栅格表单问题；
- TreeSelect
  - 修复下拉树勾选回填方式；
- 表单元素
  - 修复表单元素对齐；

</details>

<details>
  <summary>
    <span>1.1.73</span><em>2020-10-29</em>
  </summary>

#### 新特性

- Form
  - 新增栅格表单；
- Pagination
  - 新增对齐方式；
- Layout
  - 新增对齐方式；
- ColorPicker
  - 新增 `append-to-body` 属性；
- Breadcrumb
  - 新增 `title` 属性；
- Image
  - 新增 `width` 和 `height` 属性；

#### 修复

- TreeSelect
  - 修复 `size` 问题；
- InputNumber
  - 修复文档错误；

#### 优化
- 自动化测试方面
  - 优化 `Table` ，根据 `name` 属性为单元格添加唯一 `id`；
  - 优化 `Pagination` ，为页码按钮等添加唯一 `id`；
- 增加常用原子样式

</details>

<details>
  <summary>
    <span>1.1.60</span><em>2020-08-21</em>
  </summary>

#### 新特性

- Table
  - 新增文本框过滤；
  - 新增表格 `nohover` 属性；
- TreeSelect
  - 新增默认收起节点；
  - 新增点击节点配置；

#### 修复

- Upload
  - 修复IE10兼容问题；
- Button
  - 修复点击后失去焦点；
- Tooltip
  - 修复内存泄漏；
- Tree
  - 修复拖拽时位置问题；
- Form
  - 修复行内表单样式；
  - 修复表单为 `disabled` 时 `rate` , `slider` , `switch` 状态不变；
  - 修复 ` TreeSelect ` 重置；
- Message
  - 修复 `single` 属性不消除 `DOM` ；
- TreeSelect
  - 修复删除后树高亮bug；

#### 优化
- 自动化测试方面
  - 优化 `Radio` 、`Checkbox` 、`Input` 、`InputNumber` 、`Select` 、`TreeSelect` 、`Cascader` 、`Switch` 、`TimePicker` 、`DatePicker` 、`DateTimePicker` 、`Upload`等，根据 `form` 表单的 `prop` 自动添加 `name` 属性；
  - 优化 `NavMenu` ，根据 `index` 属性添加唯一 `id`；
- TreeSelect
  - 增加 `node-key`；

</details>

<details>
  <summary>
    <span>1.1.46</span><em>2020-07-23</em>
  </summary>

#### 新特性

- Transfer
  - 新增懒加载；
- DatePicker
  - 新增年份范围选择；

#### 修复

- DatePicker
  - 修复设置了 `editable` 属性，时间输入框不会设置为只读的bug ；
- Switch
  - 切换值时会导致组件被销毁；
- Table
  -  `table-tree` 在展开节点时如果id是0，无法展开；
- NavMenu 和 Popconfirm
  - 组件在按需加载时，缺少所依赖组件的样式；
- Backtop
  - 未设置 `target` 时，部分浏览器中 `document.documentElement.scrollTop` 一直为0 ；
- Cascader
  - 修复清空 `options` 时报错 ；

</details>

<details>
  <summary>
    <span>1.1.41</span><em>2020-05-14</em>
  </summary>

#### 新特性

- TextEllipsis
  - 新增文字截断组件；
- Table
  - 表格增加 `filter-icon` 属性，自定义过滤图标；
- InputNumber
  - 增加 `default-value` 属性；

#### 紧急修复

- NavMenu
  -  `SubMenu` 组件堆栈溢出bug；

</details>

<details>
  <summary>
    <span>1.1.37</span><em>2020-04-28</em>
  </summary>

#### 新特性

- Form
  - 增加 `block-message` 配置；
- Link
  - 添加 `to` 属性；
  - 添加 `icon-right` 属性；
- Button
  - 添加 `icon-right` 属性支持；
- Input
  - `textarea` 支持 `clearable` 属性；
- Select
  - 添加 `option-max-width` 属性以限制下拉框的最大宽度；
- Cascader
  - 添加 `option-max-width` 属性以限制选项框的最大宽度；
- TreeSelect
  - 添加 `option-max-width` 属性以限制下拉框的最大宽度；
- Form
  - 增加 `label-max-width` 配置；
- Switch
  - 文字放置在开关中，增加文字颜色配置，去掉 `width` 属性；

#### 修复

- InputNumber
  - 保持输入框为空，而不是重置为最小值；
- Transfer
  - 修复搜索图标位置；
- Link
  - 修复 Link 和文字按钮对齐 bug；
- Input
  - 修复 `prefix-icon` 和 `suffix-icon` 属性与 `clearable` 属性同时存在时，图标显示 bug；
- Autocomplete
  - 修复类型为 `textarea` 时建议错误问题；
- Image
  - 修复当 `preview-src-list` 属性不包含 `src` 时图片预览大图展示为空的问题；
  - 修复 `preview-src-list` 为空时点击图片会给 `body` 添加 `overflow:scroll` 的问题；
- Transfer
  - 修复和 `Form` 组件一起使用时错误的行高问题；
- InputNumber
  - 正确计算 `inputNumberDisabled`；

#### 优化

- Table
  - 列禁止拖拽，不触发 `mouseDown` 事件；
  - 优化卡片表头风格；
  - 优化表格选中样式和划过样式优先级；
- Tabs
  - 优化简洁风格页签样式；
- Popover
  - 优化相关样式；
- Tooltip
  - 优化相关样式；
- MessageBox
  - 优化相关样式；

</details>

<details>
  <summary>
    <span>1.1.31</span><em>2020-03-24</em>
  </summary>

#### 新特性

- Transition
  - 增加 `slide` 划入；

#### 修复

- Table
  - 修复 Table IE 列宽不自适应 bug；
- Form
  - 修复 Form 表单验证覆盖 bug；

</details>

<details>
  <summary>
    <span>1.1.28</span><em>2020-02-05</em>
  </summary>

#### 新特性

- 全局配置
  - 增加 `duration` 全局配置；

</details>

<details>
  <summary>
    <span>1.1.27</span><em>2020-01-15</em>
  </summary>

#### 修复

- Cascader
  - 修复删除顺序错误 bug；

#### 优化

- Image
  - 增加 `append-to-body` 属性；
- Message
  - 增加 `single` 属性；
- Slider
  - 增加 `rangeClick` 属性；

</details>

<details>
  <summary>
    <span>1.1.23</span><em>2019-12-27</em>
  </summary>

#### 修复

- Image
  - 缩略图弹出为 `body` 层；

#### 优化

- Carousel
  - 增加宽度属性；
  - 增加配合缩略图组件使用的示例；
- Slider
  - 增加 `disabled-point` 属性；

</details>

<details>
  <summary>
    <span>1.1.20</span><em>🎉 圣诞快乐 🎄 2019-12-25</em>
  </summary>

#### 新特性

- Splitpanes
  - 增加 `Splitpanes` 分割面板组件；
- LoadingBar
  - 增加 `LoadingBar` 组件；

#### 修复

- Table
  - `show-overflow-tooltip` 文字过多；
- Input
  - 当 `type` 为 `textarea` 时， `autocomplete` 下拉箭头不显示；
- Image
  - IE 下图片无法切换正常比例；
- Upload
  - 修复 `clearFiles` 方法，避免同时上传多个文件时，清除 `uploadFiles` 列表，导致正在上传中的文件再上传完成后产生报错的问题；
- Select
  - 默认宽度问题；
- Image
  - 关闭图片预览后，鼠标键盘事件失效；
- Table
  - 自定义表头样式；
  - 表头和内容复选框对齐样式；
- Dialog
  - dialog 误触关闭，使用 `mousedown` 替换 `click`；
- DatePicker
  - 切换类型时 `popper` 定位错误；

#### 优化

- Icon
  - 精简无用图标，保留组件及常用图标；
- DatePicker
  - 增加 `defaultView` ，配置默认面板；
- Tree
  - 增加 `expand-icon-class`，配置收起图标；
- Popconfirm
  - 增加 `confirm` 和 `cancel` 文档；
- Select
  - 基础多选文字隐藏后自动显示 `tooltip`；
  - 增加 `collapse-tags-max-num` 配置；
  - 增加 `collapse-texts` 配置；
  - 增加 `tooltip-effect` 配置；
- Cascader
  - 基础多选文字隐藏后自动显示 `tooltip`；
  - 增加 `collapse-tags-max-num` 配置；
  - 增加 `tooltip-effect` 配置；
  - 增加 `tooltip-max-width` 配置；
- TreeSelect
  - 增加 `collapse-tags` 配置；
  - 基础多选折叠后自动显示 `tooltip`；
  - 增加 `collapse-tags-max-num` 配置；
  - 增加 `tooltip-effect` 配置；
- Slider
  - 增加 `tooltip-effect` 配置；
- Progress
  - 增加 `active` 动效；
  - 增加插槽；

</details>

<details>
  <summary>
    <span>1.0.96</span><em>2019-11-27</em>
  </summary>

#### 新特性

- Popconfirm
  - 增加 `Popconfirm` 组件；
- Affix
  - 增加 `Affix` 组件；
- Table
  - 简化合并列处理；

#### 修复

- DatePicker
  - 修复选择最小日期的 bug；
- Select
  - 修复测试用例；
- Tree
  - 增加 `font-size` 样式；
- Table
  - 头部可自定义；
  - 更新头部样式；
  - 修复时候 `filter` 之后高度问题；
  - 修复 `row-style` 失效的 bug；
  - 修复头部消失；
- Calendar
  - 导入 `el-button` 和 `el-button-group`；
- MessageBox
  - 修复图表位置；
- TimePicker
  - 滚动后设置正确的位置；
- Message
  - 修复关闭的 `offsetHeight`；
- Form
  - `ValidateField` 的回调应为可选项 ；
- Cascader
  - 修复 `TypeScript 3.7` 的兼容问题；
- Menu
  - 修复 `NavigationDuplicated`  在 `vue-router@^3.1.0` 的报错；
- Dropdown
  - 更新类型文件；
- Progress
  - 增加 `strokeLinecap` 属性；
- InfiniteScroll
  - 跳过不可见元素触发；
- Image
  - 优化用户体验；
  - 优化大图片展示问题；
- Drawer
  - 修复 `drawer-append-to-body` 失效的 bug；
- Select
  - 修复空 `tag` 的 bug；
- Scrollbar
  - 修复 FireFox 双滚动条的 bug；

#### 优化

- I18n
  - 更新 `sv-SE.js`；
- Docs
  - 修复 `time-select` 文档错误；
  - 修复 `Drawer` 文档错误；
  - 修复 `Loading` 示例；
  - 增加 `input event` 相关文档；
  - 移除 `Input repeat change event` 相关文档；

</details>

<details>
  <summary>
    <span>1.0.94 之前版本</span><em>2019-11-20</em>
  </summary>

#### 新特性

- TreeSelect
  - 添加 `TreeSelect` 组件；
- Calendar
  - 支持 农历 属性的配置；
- DatePicker
  - 支持 季度 选项；
- Transfer
  - 支持 列宽 配置；
- Form
  - 增加 多列 布局；
  - 优化 验证错误 位置；
- Table
  - 增加 卡片 风格；
  - 拖拽列功能可配置；
- Progress
  - 进度条可配置路径两端的形状；
- NavMenu
  - 增加 选中背景高亮 配置；
- Dialog
  - 增加拖拽指令；
- Popover
  - 增加最大宽度配置；
- Scrollbar
  - 增加滚动条使用文档；

#### 修复

- Table
  - 固定列表头错位 bug；
- Badge
  - 白边问题；
- Dropdown
  - IE 错位问题；
- Steps
  - IE 兼容问题；
- Image
  - IE 兼容问题；

#### 优化

- I18n
  - 更新 `DatePicker` 语言包；
- Icon
  - 优化字体包体积，删除组件无用图标；
</details>