(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define('element/locale/pt', ['module', 'exports'], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.ELEMENT.lang = global.ELEMENT.lang || {}; 
    global.ELEMENT.lang.pt = mod.exports;
  }
})(this, function (module, exports) {
  'use strict';

  exports.__esModule = true;
  exports.default = {
    el: {
      colorpicker: {
        confirm: 'Confirmar',
        clear: 'Limpar'
      },
      datepicker: {
        now: 'Agora',
        today: 'Hoje',
        cancel: 'Cancelar',
        clear: 'Limpar',
        confirm: 'Confirmar',
        selectDate: 'Selecione a data',
        selectTime: 'Selecione a hora',
        startDate: 'Data de inicio',
        startTime: 'Hora de inicio',
        endDate: 'Data de fim',
        endTime: 'Hora de fim',
        prevYear: 'Ano anterior',
        nextYear: 'Ano que vem',
        prevMonth: 'Mês Anterior',
        nextMonth: 'Próximo Mês',
        year: '',
        month1: 'Janeiro',
        month2: 'Fevereiro',
        month3: 'Março',
        month4: 'Abril',
        month5: 'Maio',
        month6: 'Junho',
        month7: 'Julho',
        month8: 'Agosto',
        month9: 'Setembro',
        month10: 'Outubro',
        month11: 'Novembro',
        month12: 'Dezembro',
        week: 'Semana',
        weeks: {
          sun: 'Dom',
          mon: 'Seg',
          tue: 'Ter',
          wed: 'Qua',
          thu: 'Qui',
          fri: 'Sex',
          sat: 'Sab'
        },
        months: {
          jan: 'Jan',
          feb: 'Fev',
          mar: 'Mar',
          apr: 'Abr',
          may: 'Mai',
          jun: 'Jun',
          jul: 'Jul',
          aug: 'Ago',
          sep: 'Set',
          oct: 'Out',
          nov: 'Nov',
          dec: 'Dez'
        },
        quarter1: 'Primeiro Trimestre',
        quarter2: 'Segundo Trimestre',
        quarter3: 'Terceiro Trimestre',
        quarter4: 'Quarto Trimestre'
      },
      select: {
        loading: 'A carregar',
        noMatch: 'Sem correspondência',
        noData: 'Sem dados',
        placeholder: 'Selecione'
      },
      cascader: {
        noMatch: 'Sem correspondência',
        loading: 'A carregar',
        placeholder: 'Selecione',
        noData: 'Sem dados'
      },
      pagination: {
        goto: 'Ir para',
        pagesize: '/pagina',
        total: 'Total {total}',
        pageClassifier: ''
      },
      messagebox: {
        confirm: 'Confirmar',
        cancel: 'Cancelar',
        error: 'Erro!'
      },
      upload: {
        deleteTip: 'press delete to remove', // to be translated
        delete: 'Apagar',
        preview: 'Previsualizar',
        continue: 'Continuar'
      },
      table: {
        emptyText: 'Sem dados',
        confirmFilter: 'Confirmar',
        resetFilter: 'Limpar',
        clearFilter: 'Todos',
        sumText: 'Total'
      },
      tree: {
        emptyText: 'Sem dados'
      },
      treeSelect: {
        placeholder: 'Selecione'
      },
      transfer: {
        noMatch: 'Sem correspondência',
        noData: 'Sem dados',
        titles: ['Lista 1', 'Lista 2'],
        filterPlaceholder: 'Indique a palavra-chave',
        noCheckedFormat: '{total} itens',
        hasCheckedFormat: '{checked}/{total} verificado'
      },
      image: {
        error: 'FALHA'
      },
      pageHeader: {
        title: 'Voltar'
      },
      popconfirm: {
        confirmButtonText: 'Confirmar',
        cancelButtonText: 'Cancelar'
      },
      empty: {
        description: 'Sem dados'
      },
      collapse: {
        open: 'Abrir',
        close: 'Fechar'
      }
    }
  };
  module.exports = exports['default'];
});