(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define('element/locale/sr', ['module', 'exports'], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.ELEMENT.lang = global.ELEMENT.lang || {}; 
    global.ELEMENT.lang.sr = mod.exports;
  }
})(this, function (module, exports) {
  'use strict';

  exports.__esModule = true;
  exports.default = {
    el: {
      colorpicker: {
        confirm: 'Potvrdi',
        clear: 'Поништи'
      },
      datepicker: {
        now: 'Сад',
        today: 'Данас',
        cancel: 'Откажи',
        clear: 'Бриши',
        confirm: 'Potvrdi',
        selectDate: 'Изабери датум',
        selectTime: 'Изабери време',
        startDate: 'Датум почетка',
        startTime: 'Време почетка',
        endDate: 'Датум завршетка',
        endTime: 'Време завршетка',
        prevYear: 'Претходна година',
        nextYear: 'Следећа година',
        prevMonth: 'Претходни месец',
        nextMonth: 'Следећи месец',
        year: 'година',
        month1: 'јануар',
        month2: 'фебруар',
        month3: 'март',
        month4: 'април',
        month5: 'мај',
        month6: 'јун',
        month7: 'јул',
        month8: 'август',
        month9: 'септембар',
        month10: 'октобар',
        month11: 'новембар',
        month12: 'децембар',
        week: 'седмица',
        weeks: {
          sun: 'Нед',
          mon: 'Пон',
          tue: 'Уто',
          wed: 'Сре',
          thu: 'Чет',
          fri: 'Пет',
          sat: 'Суб'
        },
        months: {
          jan: 'јан',
          feb: 'феб',
          mar: 'мар',
          apr: 'апр',
          may: 'мај',
          jun: 'јун',
          jul: 'јул',
          aug: 'авг',
          sep: 'сеп',
          oct: 'окт',
          nov: 'нов',
          dec: 'дец'
        },
        quarter1: 'Prva kvartala',
        quarter2: 'Drugi kvadrat',
        quarter3: 'Treća četvrtina',
        quarter4: 'Èetvrti kvadrat'
      },
      select: {
        loading: 'Учитавање',
        noMatch: 'Нема резултата',
        noData: 'Нема података',
        placeholder: 'Изабери'
      },
      cascader: {
        noMatch: 'Нема резултата',
        loading: 'Учитавање',
        placeholder: 'Изабери',
        noData: 'Нема података'
      },
      pagination: {
        goto: 'Иди на',
        pagesize: '/страни',
        total: 'Укупно {total}',
        pageClassifier: ''
      },
      messagebox: {
        confirm: 'Potvrdi',
        cancel: 'Откажи',
        error: 'Неисправан унос'
      },
      upload: {
        deleteTip: 'притисни БРИШИ да обришеш',
        delete: 'Бриши',
        preview: 'Види',
        continue: 'Настави'
      },
      table: {
        emptyText: 'Нема података',
        confirmFilter: 'Потврди',
        resetFilter: 'Ресетуј',
        clearFilter: 'Све',
        sumText: 'Збир'
      },
      tree: {
        emptyText: 'Нема података'
      },
      treeSelect: {
        placeholder: 'Изабери'
      },
      transfer: {
        noMatch: 'Нема резултата',
        noData: 'Нема података',
        titles: ['Листа 1', 'Листа 2'], // to be translated
        filterPlaceholder: 'Унеси кључну реч', // to be translated
        noCheckedFormat: '{total} ставки', // to be translated
        hasCheckedFormat: '{checked}/{total} обележених' // to be translated
      },
      image: {
        error: 'FAILED'
      },
      pageHeader: {
        title: 'Nazad'
      },
      popconfirm: {
        confirmButtonText: 'Potvrdi',
        cancelButtonText: 'Откажи'
      },
      empty: {
        description: 'Нема података'
      },
      collapse: {
        open: 'Отвори',
        close: 'Затвори'
      }
    }
  };
  module.exports = exports['default'];
});