import { ElementUIComponent, ElementUIComponentSize } from './component'

export type ColorFormat = 'hsl' | 'hsv' | 'hex' | 'rgb'

/** ColorPicker Component */
export declare class ElColorPicker extends ElementUIComponent {
  /** Whether to display the alpha slider */
  showAlpha: boolean

  /** Whether to disable the ColorPicker */
  disabled: boolean
  
  readonly: boolean

  visibleArrow: boolean

  appendToBody: boolean

  tabindex: number

  /** Whether to clearable the ColorPicker */
  clearable: boolean

  /** Size of ColorPicker */
  size: ElementUIComponentSize

  /** Whether to display the alpha slider */
  popperClass: string
  
  placement: string

  /** Custom class name for ColorPicker's dropdown */
  colorFormat: ColorFormat
}
