import { ElementUIComponent, ElementUIComponentSize } from './component'

/** InputRange Component */
export declare class ElInputRange extends ElementUIComponent {
  /** Binding value */
  value: number

  /** The minimum allowed value */
  min: number

  /** The maximum allowed value */
  max: number

  /** Maximum Input text length */
  maxlength: number

  /** Minimum Input text length */
  minlength: number

  /** Placeholder of Input */
  startPlaceholder: string
  endPlaceholder: string
  
  separator: string

  prefix: string

  suffix: string

  /** Size of the component */
  size: ElementUIComponentSize

  /** Whether the component is disabled */
  disabled: boolean

  clearable: boolean

  validateEvent: boolean

  /** Same as name in native input */
  name: string

  /**
   * Focus the Input component
   */
  focus(): void
  
  blur (): void
}
