import { ElementUIComponent, ElementUIComponentSize } from './component'

export type directionType = 'vertical' | 'horizontal'
export type alignType = 'start' | 'end' | 'center' | 'stretch'
export type justifyType = 'start' | 'end' | 'center' | 'space-between'

/** Space Component */
export declare class ElSpace extends ElementUIComponent {
  /** direction type */
  direction: directionType

  /** align type */
  align: alignType

  /** justify type */
  justify: justifyType

  /** Whether space can be wrap */
  wrap: boolean

  /** Whether space can be inline */
  inline: boolean

  /** Space size */
  size: ElementUIComponentSize
}
